import { BaseField } from '../../BaseField';
export class BooleanField extends BaseField {
  constructor(id, title, description, label) {
    super(id, 'boolean');
    this.id = id;
    this.title = title;
    this.description = description;
    this.label = label;
  }
  showPreview() {
    this.preview = true;
    return this;
  }
  getDisplayValue(value) {
    return value;
  }
  setLabelType(labelType) {
    this.labelType = labelType;
    return this;
  }
}
BooleanField.type = 'boolean';
